JaxbKeyManyToOneElement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbKeyManyToOneElement

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbKeyManyToOneElement

    public class JaxbKeyManyToOneElement

extends Object

Java class for key-many-to-one-element complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="key-many-to-one-element">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="class" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="entity-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="foreign-key" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="lazy" type="{http://www.hibernate.org/xsd/hibernate-mapping}lazy-attribute" />
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected String` | `clazz`
`protected List<JaxbColumnElement>` | `column`
`protected String` | `columnAttribute`
`protected String` | `entityName`
`protected String` | `foreignKey`
`protected JaxbLazyAttribute` | `lazy`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`

Constructor Summary
`JaxbKeyManyToOneElement()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`String` | `getClazz()` Gets the value of the clazz property.
`List<JaxbColumnElement>` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`String` | `getEntityName()` Gets the value of the entityName property.
`String` | `getForeignKey()` Gets the value of the foreignKey property.
`JaxbLazyAttribute` | `getLazy()` Gets the value of the lazy property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setClazz(String value)` Sets the value of the clazz property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` | `setEntityName(String value)` Sets the value of the entityName property.
`void` | `setForeignKey(String value)` Sets the value of the foreignKey property.
`void` | `setLazy(JaxbLazyAttribute value)` Sets the value of the lazy property.
`void` | `setName(String value)` Sets the value of the name property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### column

    protected List<JaxbColumnElement> column

### access

    protected String access

### clazz

    protected String clazz

### columnAttribute

    protected String columnAttribute

### entityName

    protected String entityName

### foreignKey

    protected String foreignKey

### lazy

    protected JaxbLazyAttribute lazy

### name

    protected String name

Constructor Detail

### JaxbKeyManyToOneElement

    public JaxbKeyManyToOneElement()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

### getColumn

    public List<JaxbColumnElement> getColumn()

  Gets the value of the column property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

  For example, to add a new item, do as follows:

          getColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getClazz

    public String getClazz()

  Gets the value of the clazz property.

  Returns:
    possible object is `String`

### setClazz

    public void setClazz(String value)

  Sets the value of the clazz property.

  Parameters:
    `value` - allowed object is `String`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getEntityName

    public String getEntityName()

  Gets the value of the entityName property.

  Returns:
    possible object is `String`

### setEntityName

    public void setEntityName(String value)

  Sets the value of the entityName property.

  Parameters:
    `value` - allowed object is `String`

### getForeignKey

    public String getForeignKey()

  Gets the value of the foreignKey property.

  Returns:
    possible object is `String`

### setForeignKey

    public void setForeignKey(String value)

  Sets the value of the foreignKey property.

  Parameters:
    `value` - allowed object is `String`

### getLazy

    public JaxbLazyAttribute getLazy()

  Gets the value of the lazy property.

  Returns:
    possible object is `JaxbLazyAttribute`

### setLazy

    public void setLazy(JaxbLazyAttribute value)

  Sets the value of the lazy property.

  Parameters:
    `value` - allowed object is `JaxbLazyAttribute`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.